# Interface ParameterJson

Objects defined by a definitionEditor input. See https://developers.arcgis.com/web-map-specification/objects/parameter/ https://developers.arcgis.com/web-scene-specification/objects/parameter/.

interface ParameterJson {
defaultValue?: string | number;
fieldName?: string;
parameterId?: number;
type?: string;
}

#####
Index

### Properties

defaultValue?
fieldName?
parameterId?
type?

##
Properties

### `Optional` defaultValue

defaultValue?: string | number

The default value that is automatically given if nothing is provided.

### `Optional` fieldName

fieldName?: string

A string value representing the name of the field to query.

### `Optional` parameterId

parameterId?: number

Number given to uniquely identify the specified parameter.

### `Optional` type

type?: string

The field type for the specified field parameter. See Field.FieldType.